Speko Docs
API Reference

TTS Voice Detail

One voice, its measured quality labels, and the benchmarks of the model it runs on.

GET
/v1/tts/voices/{vendor}/{voiceId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

vendor*string
voiceId*string

Case-sensitive, exactly as the provider spells it.

Response Body

application/json

application/json

{
  "id": "cartesia:f9836c6e-a0bd-460e-9d3c-f7299fa60f94",
  "vendor": "string",
  "voice_id": "string",
  "name": "string",
  "gender": "string",
  "accent": "string",
  "languages": [
    "string"
  ],
  "styles": [
    "string"
  ],
  "use_with": {
    "provider": "string",
    "model": "string",
    "voice": "string"
  },
  "model_id": "string",
  "voice_compatibility": "verified",
  "quality": {
    "verdict": "measured",
    "basis": "string",
    "labels": [
      "string"
    ],
    "summary": [
      "string"
    ],
    "max_chars_per_call": 0,
    "words_per_minute": 0
  },
  "why": {
    "best_for": [
      "string"
    ],
    "strengths": [
      "string"
    ],
    "weaknesses": [
      "string"
    ],
    "tradeoffs": [
      "string"
    ]
  },
  "model": {
    "id": "cartesia:sonic-3.5",
    "provider": "string",
    "model": "string",
    "routable": true,
    "routable_via": "platform_key",
    "benchmark": {
      "language": "string",
      "board": "string",
      "naturalness": {
        "value": 0,
        "unit": "string",
        "higher_is_better": true,
        "board": "string",
        "ci": [
          0
        ],
        "n": 0,
        "basis": "string",
        "unjudgeable": 0,
        "field_mean": 0,
        "comparable_across_languages": true,
        "estimated": true
      },
      "robustness": {
        "value": 0,
        "unit": "string",
        "higher_is_better": true,
        "board": "string",
        "ci": [
          0
        ],
        "n": 0,
        "basis": "string",
        "unjudgeable": 0,
        "field_mean": 0,
        "comparable_across_languages": true,
        "estimated": true
      },
      "panel_mos": {
        "value": 0,
        "unit": "string",
        "higher_is_better": true,
        "board": "string",
        "ci": [
          0
        ],
        "n": 0,
        "basis": "string",
        "unjudgeable": 0,
        "field_mean": 0,
        "comparable_across_languages": true,
        "estimated": true
      },
      "panel_named_pct": {
        "value": 0,
        "unit": "string",
        "higher_is_better": true,
        "board": "string",
        "ci": [
          0
        ],
        "n": 0,
        "basis": "string",
        "unjudgeable": 0,
        "field_mean": 0,
        "comparable_across_languages": true,
        "estimated": true
      },
      "latency_ms": 0,
      "latency_evidence": {
        "board": "string",
        "region": "string",
        "n": 0,
        "p90_ms": 0
      },
      "latency": {
        "vendor_direct": [
          {
            "region": "string",
            "location": "string",
            "p50_ms": 0,
            "p90_ms": 0
          }
        ],
        "per_language": [
          {
            "language": "string",
            "p50": 0,
            "p90": 0,
            "n": 0,
            "sweeps": 0,
            "wide_tail": true,
            "voice": "string"
          }
        ]
      },
      "cost": {
        "per_1m_chars_usd": 0,
        "per_min_usd": 0,
        "higher_is_better": true
      }
    },
    "languages": {
      "measured": [
        "string"
      ],
      "vendor_claimed": [
        "string"
      ],
      "count": 0
    },
    "voices": {
      "total": 0,
      "measured": 0,
      "compatibility": "verified"
    }
  },
  "meta": {
    "benchmark": {
      "schema": 0,
      "routing_policy_version": "string"
    },
    "quality_overlay": {
      "generated_at": "string",
      "run_id": "string"
    },
    "org_routable_vendors": [
      "string"
    ],
    "coverage": {
      "models_routable": 0,
      "models_measured": 0,
      "voices_routable": 0,
      "voices_measured": 0
    },
    "notes": [
      "string"
    ]
  }
}
{
  "error": "Unauthorized",
  "code": "UNAUTHORIZED"
}
Empty